<template>
	<view class="container" v-if="isShow">
		<view class="contentBox">
			<view class="headerBox">
				<view class="title">{{NoticeTitle}}</view>
			</view>
			<view class="article">
				<!-- <bctos-rich-text :nodes="NoticeContent"></bctos-rich-text> -->
				<p class="articleTitle">1、积分规则</p>
				<p class="articleContent">（1）自贡随手拍举报隐患（安全生产、自然灾害、消防安全）的获1分/次，经有关部门核查属实的再获5分/次。</p>
				<p class="articleContent">（2）驳回虚假举报、恶意刷积分的扣除3分/次。</p>
				<p class="articleTitle">2、积分时间</p>
				<p class="articleContent">从每年1月1日起至当年年底（2025年积分时间为 : 2025年1月1日至2025年12月31日）。积分不做清零，积分可兑换商品。</p>
				<!-- <p class="articleTitle">3、积分补录说明</p>
				<p class="articleContent">从2025年1月1日起至2025年4月17日获得的积分将会在4月26日前陆续补录完成</p> -->
			</view>
		</view>
	</view>
</template>

<script>
	var that;
	export default {
		data() {
			return {
				isShow: false,
				id: '',
				NoticeTitle: "积分说明",
				NoticeContent: '',
			}
		},
		onLoad(option) {
			that = this;
			that.id = decodeURIComponent(option.id);
			that.isShow = true;
			// this.getData();
		},
		methods: {
			getData() {
				that.$admin.reqDirect({
					method: 'GET',
					url: '/api/v1/Snapshot/bulletions/' + that.id
				}).then(res => {
					if (res) {
						that.NoticeTitle = res.title;
						that.NoticeDate = res.creationTime ? that.$util.formatTime(new Date(res.creationTime)) : '';
						that.NoticeContent = res.content.replace(/<img [^>]*src=['"]([^'"]+)[^>]*>/gi, function(match, reSrc) {
							var strImg = '<img src="' + reSrc + '" style="width:100%;" />';
							return strImg;
						});
						that.NoticeBMName = '';
					}
					that.isShow = true;
				}, err => {
					that.$util.msg(err);
				})
			},
			onBackTo() {
				uni.navigateBack();
			}
		}
	}
</script>

<style lang="less">
	.contentBox {
		height: calc(100% - 30rpx);
		padding: 0 20rpx 30rpx;
		overflow-y: auto;
	}

	.headerBox {
		border-bottom: 1px #d2d2d2 solid;
		padding: 40rpx 0 20rpx;
	}

	.title {
		font-size: 36rpx;
		font-weight: bold;
		margin-bottom: 20rpx;
		text-align: center;
	}

	.time{
		font-size: 30rpx;
		color: #666666;
		text-align: right;
	}
	
	.timecenter {
		font-size: 30rpx;
		color: #666666;
		text-align: center;
	}

	.article {
		font-size: 28rpx;
		background-color: #FFFFFF;
		color: #777;
		padding: 30rpx 0;
		line-height: 2.5;
	}

	.bottomBox {
		padding-bottom: 20rpx;
	}

	.author {
		text-align: right;
	}
	
	.articleTitle{
		width: 100%;
		color: #fe0000;
		font-size: 36rpx;
		line-height: 50rpx;
		margin-bottom: 20rpx;
	}
	
	.articleContent{
		width: 100%;
		font-size: 32rpx;
		line-height: 50rpx;
		margin-bottom: 30rpx;
		color: #333;
	}
</style>